package com.loan.system.service;

import com.loan.system.domain.dto.DocumentDTO;
import com.loan.system.domain.entity.Document;
import com.loan.system.domain.vo.DocumentVO;

import java.util.List;

public interface DocumentService {
    List<DocumentVO> findByCaseId(Long caseId);

    DocumentVO uploadFile(Document document);

    Document findById(Long signId);

    void updateDocumentByCaseIdAndDicType(Long caseId, String dictType, DocumentDTO documentDTO);

    void deleteFileByCaseIdAndDictType(Long caseId, String fileType);
}
